#
# Copyright (c) 1999 LAAS/CNRS 
#
# Matthieu Herrb - Thu Sep 16 1999
#
# $Id: manip.tcl,v 1.1 2006/01/19 16:45:31 matthieu Exp $
#

# mkIndex mode
if {![info exists argv0]} return

# Verifie que POSTER_HOST est definie, sinon demande une valeur
if { ![info exists env(POSTER_HOST)] } {
    set rep [ tk_entrydialog .posterhost "Enter value for POSTERHOST" ]
    if { $rep == "Cancel" } {
	exit 1
    }
    set env(POSTER_HOST) $rep
}

source $::Grh2::dir/modules/segloc/seglocPoster.tcl

Grh2::grille

load $::Grh2::dir/modules/$::Grh2::target/bandPoster.so
load $::Grh2::dir/modules/$::Grh2::target/mtwodPoster.so
load $::Grh2::dir/modules/$::Grh2::target/sickPoster.so

seglocPoster::affMap 
Grh2::updateScrollBars
updateSegloc xr

$Grh2::c bind map <Enter> "hilightItem $Grh2::c"
$Grh2::c bind map <Leave> "restoreItem $Grh2::c"

proc c {} {
    updateSegloc xr
    m2dPoster::affTraj -fill orange
    bandPoster::affBand
    affSick
}

	  
